> For the complete documentation index, see [llms.txt](https://docs.vdalive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vdalive.com/overview/features/workbooks/document-book/api-documentation.md).

# API Documentation

Below Graph QL API would help applications integrate with external applications.&#x20;

Request Structure

```
mutation QueryWorkBook($queryWorkBookId: String!, $question: String!) {
  queryWorkBook(id: $queryWorkBookId, question: $question) {
    id
    message
    documentBookId
    creatorId
    createdAt
    updatedAt
    creator {
      id
    }
  }
}
```

Response Structure

Sample Response&#x20;

```json5
{"data":{"queryWorkBook":[{"id":"136","message":"Hello ","documentBookId":"26","creatorId":"4baba2fb-d0f8-4678-9d11-51ae1f7843da","createdAt":1690452915701,"updatedAt":1690452915703,"creator":{"id":"4baba2fb-d0f8-4678-9d11-51ae1f7843da"}},{"id":"137","message":" Hi there! How can I help you?","documentBookId":"26","creatorId":"system","createdAt":1690452918741,"updatedAt":1690452918742,"creator":{"id":"system"}}]}}





```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vdalive.com/overview/features/workbooks/document-book/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
